# 
# Do NOT Edit the Auto-generated Part!
# Generated by: spectacle version 0.23
# 
# >> macros
# << macros

Name:       cloog
Summary:    The Chunky Loop Generator
Version:    0.15.11
Release:    1
Group:      System/Libraries
License:    GPLv2+
URL:        http://www.cloog.org
Source0:    ftp://gcc.gnu.org/pub/gcc/infrastructure/%{name}-ppl-%{version}.tar.gz
Source100:  cloog.yaml
BuildRequires:  ppl-devel >= 0.10.2
BuildRequires:  gmp-devel >= 4.3.2
BuildRequires:  texinfo >= 4.12
BuildRequires:  libtool


%description
CLooG is a software which generates loops for scanning Z-polyhedra. That is,
CLooG finds the code or pseudo-code where each integral point of one or more
parametrized polyhedron or parametrized polyhedra union is reached. CLooG is
designed to avoid control overhead and to produce a very efficient code.



%package ppl-devel
Summary:    Development tools for the ppl based version of Chunky Loop Generator
Group:      Development/Libraries
Requires:   %{name}-ppl = %{version}-%{release}
Requires:   ppl-devel >= 0.10, gmp-devel >= 4.3.2

%description ppl-devel
The header files and dynamic shared libraries of the Chunky Loop Generator.


%package ppl
Summary:    Parma Polyhedra Library backend (ppl) based version of the Cloog binaries
Group:      Development/Libraries
Requires(post): /sbin/install-info
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/install-info
Requires(postun): /sbin/ldconfig

%description ppl
The dynamic shared libraries of the Chunky Loop Generator


%prep
%setup -q -n %{name}-ppl-%{version}

# >> setup
# << setup

%build
# >> build pre
# << build pre

%configure --disable-static \
    --with-ppl


# >> build post
# Remove the cloog.info in the tarball
# to force the re-generation of a new one
test -f doc/cloog.info && rm doc/cloog.info

# Remove the -fomit-frame-pointer compile flag
# Use system libtool to disable standard rpath
make %{?_smp_mflags} AM_CFLAGS= LIBTOOL=%{_bindir}/libtool
# << build post
%install
rm -rf %{buildroot}
# >> install pre
# << install pre

# >> install post
make DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p" install
rm -rf $RPM_BUILD_ROOT%{_infodir}/dir
# << install post










%post ppl
/sbin/ldconfig
%install_info --info-dir=%_infodir %{_infodir}/cloog.info.gz

%postun ppl
/sbin/ldconfig
if [ $1 = 0 ] ;then
%install_info_delete --info-dir=%{_infodir} %{_infodir}/cloog.info.gz
fi



%files ppl-devel
%defattr(-,root,root,-)
# >> files ppl-devel
%{_includedir}/cloog
%{_libdir}/libcloog.so
%exclude %{_libdir}/libcloog.a
%exclude %{_libdir}/libcloog.la
# << files ppl-devel

%files ppl
%defattr(-,root,root,-)
# >> files ppl
%{_infodir}/cloog.info.gz
%{_bindir}/cloog
%{_libdir}/libcloog.so.*
# << files ppl

